using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.ViewModels;
using VetClinicDataBaseImplement.Implements;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IReportLogicPharmacist 
	{
		List<ListAnimalsViewModel> GetServiceAnimals(List<int> services);
		void SaveAnimalsToWordFile(ListAnimalsBindingModel model);
		void SaveAnimalsToExcelFile(ListAnimalsBindingModel model);
		List<VisitsGuidesViewModel> GetMedicineVisitsAndGuidances(VisitsGuidesBindingModel services);
		void SaveMedicinesToPdfFile(VisitsGuidesBindingModel model);
	}
}
